Bug 239314 - graphics/embree: Update to v3.6.1
Summary: graphics/embree: Update to v3.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL: https://github.com/embree/embree/rele...
Keywords:
Depends on: 240117
Blocks: 242265
  Show dependency treegraph
 
Reported: 2019-07-19 18:10 UTC by kunda
Modified: 2020-02-11 06:06 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
update graphics/embree to 3.6.0.beta.0 (19.37 KB, patch)
2019-08-14 03:46 UTC, Shane
no flags Details | Diff
update graphics/embree to 3.6.0 release (19.21 KB, patch)
2019-08-23 00:43 UTC, Shane
no flags Details | Diff
update graphics/embree to 3.6.1 release (19.21 KB, patch)
2019-08-30 08:29 UTC, Shane
no flags Details | Diff
update graphics/embree to 3.7.0 release (20.09 KB, patch)
2020-01-15 03:03 UTC, Shane
koobs: maintainer-approval? (danfe)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kunda 2019-07-19 18:10:57 UTC
https://github.com/embree/embree/releases/tag/v3.5.2

After update Bug #236144 needs to be tested to see if still valid
Comment 1 Shane 2019-08-14 03:46:18 UTC
Created attachment 206512 [details]
update graphics/embree to 3.6.0.beta.0

I want to update this port, to be added later as a dependency for graphics/blender and I am willing to take maintainership.

As I am updating this now to prevent this port being deleted and the current dependents will remain broken until updated to work with v3.x I have started the new version at 3.6.0 beta rather than the stable release.

While the readme states support for win32, other systems have only 64 bit support so I have made no effort to support 32bit.

The previous version installed the "tutorial" demo binaries into ${LOCALBASE}bin/embree2, I have moved these into ${EMAPLESDIR} as a more appropriate location.
Comment 2 Alexey Dokuchaev freebsd_committer 2019-08-20 08:52:31 UTC
(In reply to Shane from comment #1)

> As I am updating this now to prevent this port being deleted
Actually, to unbreak it, I believe all that's needed is to remove ISPC option from the defaults

> have started the new version at 3.6.0 beta rather than the stable release.
Any reason for this?  Typically, we prefer to track stable releases in the FreeBSD Ports Collection.

Thanks for working on this, I'll take a look as my time permits.
Comment 3 Shane 2019-08-21 05:51:12 UTC
(In reply to Alexey Dokuchaev from comment #2)

Actually I did have the existing v2.17.6 port built and installed, as blender wants v3 libs I wanted to make v3 available. There was a v2.17.7 tagged back in feb which is in between v3 releases. I wonder if I might also make en embree2 port to keep support for existing ports.

With 3.6.0, and linking against blender, I see no difference with ISPC enabled or disabled. I left it out of defaults only to not bring llvm as a dep.

I started with the recent beta tag as I don't expect the port to be used straight away, and expected the stable release before anyone started using it. As it was tagged today, I will update the patch to the stable release soon.
Comment 4 Shane 2019-08-23 00:43:50 UTC
Created attachment 206808 [details]
update graphics/embree to 3.6.0 release

Adjust for 3.6.0 release
Comment 5 Shane 2019-08-26 04:25:37 UTC
Related - submitted a new port for graphics/embree2 in bug #240117 with ISPC disabled which can unbreak py-embree and py-yt ports.
Comment 6 Shane 2019-08-30 08:29:20 UTC
Created attachment 207015 [details]
update graphics/embree to 3.6.1 release

adjust for minor update to 3.6.1
Comment 7 Shane 2020-01-15 03:03:50 UTC
Created attachment 210746 [details]
update graphics/embree to 3.7.0 release

Update patch to 3.7.0 release
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-15 03:05:31 UTC
^Triage: Re-assign current maintainer for latest patch and request approval (maintainer timeout period starts/resets per patch proposal)
Comment 9 commit-hook freebsd_committer 2020-02-10 17:27:21 UTC
A commit references this bug:

Author: danfe
Date: Mon Feb 10 17:26:58 UTC 2020
New revision: 525724
URL: https://svnweb.freebsd.org/changeset/ports/525724

Log:
  - Update `graphics/embree' to the latest version 3.8.0 (unfortunately,
    the new API is not backward compatible with the version 2 API; this
    was required to remove various deprecated API functions that had
    accumulated over time, fix suboptimal design decisions and mistakes,
    clean up inconsistent naming, increase flexibility, etc.
  - Install tutorials as port examples; install documentation files into
    the standard location instead of overriding the default DOCSDIR
  - Drop no longer used `graphics/ImageMagick' dependency: BMP, GIF, PNG,
    TGA, and TIFF formats are handled by the OpenImageIO now, but it is
    somewhat heavy dependency and is disabled upstream by default, so do
    the same (au contraire, JPEG and PNG are enabled unconditionally as
    being backed by very common and light packages)

  PR:	239314 (based on)

Changes:
  head/graphics/embree/Makefile
  head/graphics/embree/distinfo
  head/graphics/embree/pkg-plist
  head/graphics/py-pyembree/Makefile
  head/math/py-yt/Makefile
Comment 10 Alexey Dokuchaev freebsd_committer 2020-02-11 06:06:58 UTC
Port had been updated with ports r525724.  Committed version is slightly different from the one proposed, those differences are summarized in the commit log.  Please let me know if I've missed anything along the way (it was a long one).